TKN-HUB-UPGRADE(1)

NAME

tkn-hub-upgrade - Upgrade an installed resource

SYNOPSIS

tkn hub upgrade

DESCRIPTION

Upgrade an installed resource

OPTIONS

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

-h, --help[=false]
    help for upgrade

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--to=""
    Version of Resource

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

SEE ALSO

tkn-hub(1), tkn-hub-upgrade-task(1)